com.explodingpixels.macwidgets.plaf

## Class HudPasswordFieldUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TextUI
    - - javax.swing.plaf.basic.BasicTextUI
      - - javax.swing.plaf.basic.BasicTextFieldUI
        - - javax.swing.plaf.basic.BasicPasswordFieldUI
          - - com.explodingpixels.macwidgets.plaf.HudPasswordFieldUI

- All Implemented Interfaces:
    ViewFactory

      public class HudPasswordFieldUI
      extends BasicPasswordFieldUI

  Creates a Heads Up Display (HUD) style password field, similar to that seen in various iApps (e.g. iPhoto).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI

      `BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HudPasswordFieldUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `installUI(JComponent c)`
    `protected void` | `paintSafely(Graphics graphics)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicPasswordFieldUI

      `create, createUI, getPropertyPrefix, installDefaults`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI

      `getBaseline, getBaselineResizeBehavior`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicTextUI

      `create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installKeyboardActions, installListeners, modelChanged, modelToView, modelToView, paint, paintBackground, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HudPasswordFieldUI

          public HudPasswordFieldUI()

  - ### Method Detail

    - #### installUI

          public void installUI(JComponent c)

      Overrides:
        `installUI` in class `BasicTextUI`

    - #### paintSafely

          protected void paintSafely(Graphics graphics)

      Overrides:
        `paintSafely` in class `BasicTextUI`